get
https://api.caas.staging.bancocdc.com.br/operation/fgts/installments/
The recovery installment route is responsible for listing the installments.
Attention points:
- To consume the route it is necessary to pass the product code as a parameter.
- This route uses CAIXA's FGTS service and captures all available installments of the worker in question.
- Your request will always be scheduled for asynchronous processing.
- When the consultation is scheduled you will receive a code and with it you can consult the result.
- If you wish to receive responses via webhook, please consult the docum entation: link.
When your consultation is scheduled, you will receive a response in the following format.
Response to scheduling in case of success.
{
"request_code": "75c0c756-7c96-4969-9165-e28aa4f4d360",
"return": true,
"return_code": "201-02",
"message": "We are registering your call in a queue and will return it via a webhook if you are registered. You can also use the code provided to check the result when it is processed.",
"created_at": "2025-03-31 10:40:56",
"data": {
"code": "aa882537-89ec-4742-84ed-6d9318b4d5d4"
}
}
| Http Code | Return Code | Message | Parameters |
|---|---|---|---|
| 201 | 201-02 | We are registering your call in a queue and will return it via a webhook if you are registered. You can also use the code provided to check the result when it is processed. | code to check the request after processing |
Response to scheduling in case of erro.
| Http Code | Return Code | Message |
|---|---|---|
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-02 | Invalid hash. |
| 400 | 400-10 | Please provide the correct document. |
| 400 | 400-43 | Error when registering the result of the installments. |
| 400 | 400-78 | We received feedback that the customer had available installments, but they were not listed in the results. We ask that you inform CAIXA to verify the client's case. |
| 401 | 401-05 | Unauthorized or token invalid. |
| 406 | 406-03 | field 'X' is mandatory and was not informed. |
| 429 | 429-02 | Query limit per second has been exceeded, please try again. |
| 503 | 503-03 | It was not possible to query the CAIXA service, please try again. |
After the scheduling, you will be able to receive the following responses via the webhook.
webhook responses
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-62 | CAIXA - Quantity of periods must be greater than zero |
| 400 | 400-63 | CAIXA - Invalid CPF number. |
| 400 | 400-64 | CAIXA - There is an ongoing Trust Operation. Please try again later. |
| 400 | 400-65 | CAIXA - The employee is not enrolled in the current date's anniversary withdrawal. |
| 400 | 400-66 | CAIXA - Operation not allowed before . |
| 400 | 400-67 | CAIXA - It is not possible to perform the operation for the provided CPF. |
| 400 | 400-68 | CAIXA - Operation not allowed due to pending issues in the anniversary withdrawal payment process. |
| 400 | 400-69 | CAIXA - Worker with a request for return regarding termination withdrawal, which must be canceled by the worker themselves to enable the guarantee request. |
| 400 | 400-70 | CAIXA - Changes in the FGTS account registration have been made, preventing the hiring. Please contact Caixa's FGTS department. |
| 400 | 400-71 | CAIXA - Query successfully executed. Worker does NOT have an available balance to perform Fiduciary Operations. |
| 400 | 400-72 | CAIXA - The informed worker does not have FGTS accounts. |
| 400 | 400-73 | CAIXA - An unexpected error occurred. Please try again later. |
| 400 | 400-74 | CAIXA - Trustee institution without an active agreement for the Trust Operation modality. |
| 400 | 400-75 | CAIXA - The fiduciary institution does not have the worker's authorization for the Trust Operation. |
| 429 | 429-02 | CAIXA - Query limit per second has been exceeded, please try again. |
| 503 | 503-07 | CAIXA - Critical failure in the provider's application; it is currently inoperable. |
If the return obtained is "CAIXA - Changes in the FGTS account registration have been made, preventing the hiring. Please contact Caixa's FGTS department.", the CPF worker consulted must contact CAIXA via the toll-free telephone numbers or go to an agency and report what happened, where CAIXA will verify your case.
However, we are working with Caixa to address this process so that there is no interruption in the service during this interval.
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| return | boolean | Indicates if the request was successful |
| return_code | string | Return code of the request |
| message | string | Message indicating the reason for the response |
| data | array | Array containing information about each installment |
| data.code | string | Code associated with the installment |
| data.date | string | Date of the installment |
| data.amount | string | Amount associated with the installment |